curl --request GET \
--url https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_affiliate_tier_id": 1,
"network_id": 1,
"name": "Updated Tier",
"status": "active",
"description": "Updated description",
"network_affiliate_ids": null,
"payout_margin": 25,
"is_default_tier": true,
"time_created": 1774620660,
"time_saved": 1774620995,
"relationship": {
"labels": {
"total": 1,
"entries": [
"updated-label"
]
}
}
}Get Affiliate Tier
Retrieve a single affiliate tier by its ID.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The ID of the affiliate tier you want to fetch.
Query Parameters
Include additional relationship data in the response. Use all to include all available relationships (e.g. labels).
all Response
The unique ID of the affiliate tier.
The ID of the network this tier belongs to.
The name of the affiliate tier.
Status of the affiliate tier. Can be one of the following values - active, paused or deleted.
active, paused, deleted Optional description of the affiliate tier.
IDs of the affiliates assigned to this tier.
The affiliate's payout margin.
Whether or not the affiliate tier will be automatically tied to all new partners.
Unix timestamp of creation.
1734455015
Unix timestamp of last update.
1734455015
Related data for this affiliate tier. Populate by passing the relationship query parameter (e.g. ?relationship=all).
Show child attributes
Show child attributes
Was this page helpful?
